<?php
namespace Docuform\Api\Exception;

use Nyholm\Psr7\ServerRequest;
use Psr\Http\Message\ServerRequestInterface;
use Slim\Exception\HttpNotFoundException;

class ApiHttpNotFoundException extends HttpNotFoundException
{
  // 404
  public function __construct(?ServerRequestInterface $request = null, ?string $message = null, ?string $description = null)
  {
    if ( $description )
      $this->description = $description;

    parent::__construct($request ? $request : new ServerRequest('', ''), $message, null);
  }
}
